summaryrefslogtreecommitdiffstats
path: root/vagrant
diff options
context:
space:
mode:
authorintrigeri <intrigeri@boum.org>2019-10-19 07:43:11 +0000
committerintrigeri <intrigeri@boum.org>2019-10-19 07:56:38 +0000
commit23c771bea0d87a8eb0d464903f0aa5bf54cb56b3 (patch)
tree6954c96443516e707a6b44e96cbe16ef363a838d /vagrant
parent2dcbbca5f35ae664e98c3bbb3a0a010553674785 (diff)
Vagrant: ensure the chroot has a /proc filesystem while running postinstall.sh (refs: #16868)
Otherwise, when udisks2.postinst runs "udevadm trigger", udevadm will fail to detect that it's running in a chroot, and then it'll try to do work that can't work in a chroot, which in turn breaks installation of udisks2.
Diffstat (limited to 'vagrant')
-rwxr-xr-xvagrant/definitions/tails-builder/customize.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/vagrant/definitions/tails-builder/customize.sh b/vagrant/definitions/tails-builder/customize.sh
index b84b503..0b58e4c 100755
--- a/vagrant/definitions/tails-builder/customize.sh
+++ b/vagrant/definitions/tails-builder/customize.sh
@@ -22,6 +22,8 @@ exit 101
EOF
chmod a+x "${ROOT}/usr/sbin/policy-rc.d"
+trap "umount ${ROOT}/proc" EXIT HUP INT QUIT TERM
+chroot "${ROOT}" mount -t proc proc /proc
chroot "${ROOT}" "/postinstall.sh"
rm "${ROOT}/usr/sbin/policy-rc.d"